FIX: make can_invite_to_forum robust against plugin interference (#9644)

FIX: make can_invite_to_forum robust against plugin interference (#9644)

diff --git a/app/serializers/current_user_serializer.rb b/app/serializers/current_user_serializer.rb
index 5fa2db5..9e23837 100644
--- a/app/serializers/current_user_serializer.rb
+++ b/app/serializers/current_user_serializer.rb
@@ -123,7 +123,7 @@ class CurrentUserSerializer < BasicUserSerializer
   end
 
   def can_invite_to_forum
-    true
+    scope.can_invite_to_forum?
   end
 
   def include_can_invite_to_forum?

GitHub sha: 15a938e8

This commit appears in #9644 which was approved by eviltrout. It was merged by riking.